# helper macro ADD_EXAMPLE(DIR)
set (EXECUTABLE_ROOT_DIR "${EXECUTABLE_OUTPUT_PATH}")
macro (add_example DIR)
  set (EXECUTABLE_OUTPUT_PATH "${EXECUTABLE_ROOT_DIR}/examples/${DIR}")
  add_subdirectory ("${DIR}")
endmacro ()

# list example source directories here
add_example (lcm-example)
add_example (libcommon-example)
add_example (libmath-example)
